package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdColumnsDTO implements Serializable {

    private static final long serialVersionUID = 958358269213158L;

    private Integer id;

    private String columnName;

    private Integer columnOrder;

    private String columnType;

    private Integer precision;

    private Integer scale;

    private Character nullable;

    private String defaultValue;

    private String nativeSql;

    private String nativeKey;

    private Character datatypeTransformedFlag;

    private String comments;

    private Integer securityGroupId;

    private String createdBy;

    private java.util.Date createdOn;

    private String lastUpdatedBy;

    private java.util.Date lastUpdatedOn;

    private Integer tableIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getColumnName() {
    return columnName;
    }

        public void setColumnName(String columnName) {
    this.columnName = columnName;
    }

        public Integer getColumnOrder() {
    return columnOrder;
    }

        public void setColumnOrder(Integer columnOrder) {
    this.columnOrder = columnOrder;
    }

        public String getColumnType() {
    return columnType;
    }

        public void setColumnType(String columnType) {
    this.columnType = columnType;
    }

        public Integer getPrecision() {
    return precision;
    }

        public void setPrecision(Integer precision) {
    this.precision = precision;
    }

        public Integer getScale() {
    return scale;
    }

        public void setScale(Integer scale) {
    this.scale = scale;
    }

        public Character getNullable() {
    return nullable;
    }

        public void setNullable(Character nullable) {
    this.nullable = nullable;
    }

        public String getDefaultValue() {
    return defaultValue;
    }

        public void setDefaultValue(String defaultValue) {
    this.defaultValue = defaultValue;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public Character getDatatypeTransformedFlag() {
    return datatypeTransformedFlag;
    }

        public void setDatatypeTransformedFlag(Character datatypeTransformedFlag) {
    this.datatypeTransformedFlag = datatypeTransformedFlag;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public Integer getTableIdFk() {
    return tableIdFk;
    }

        public void setTableIdFk(Integer tableIdFk) {
    this.tableIdFk = tableIdFk;
    }

}